/* *{
  margin: 0%;
  padding: 0%;
} */

body {
  box-sizing: border-box;
  background-color: rgb(231, 247, 241);
}

body .div-container {
  background-color: #fff;
  /* width: auto; */
  display: grid;
  /* margin-right: 15px; */
}

body .div-container .div-saytnomi {
  background-color: rgb(200, 200, 200);
  /* background-image: url(fon.jpg); */
  margin: 1px;
  background-size: cover;
  padding: 55px;
  background-repeat: no-repeat;
  background-size: cover;
  /* border-radius: 3%; */
  border-radius: 5px;
}

body .div-container .div-saytnomi h1 {
  /* background-color: brown; */
  margin: 10px;
  text-align: center;
  color: black;
}

 body .div-container .div-saytnomi img {
  width: 60px;
  height: 60px;
  margin-left: -55px;
  background-repeat: no-repeat;
  background-size: cover;
} 

@media screen and (min-width:320px) and (max-width:357px) {
  body .div-container, .div-saytnomi, .div-saytnomi2 {
    width: auto;
    /* display: flex; */
    flex-wrap: wrap;
    margin-right: 10px;
    /* margin-left: 5px; */
  }
}
/* sayt nomi tugadi */




/* 2 chi bolimi sayt nomini */
body .div-container .div-saytnomi2 {
  margin: 5px;
  padding: 10px;
  background-color: #f0f0f0;
  border-radius: 3%;
  height: 90px;
}

body .div-container .div-saytnomi2 h1 {
  display: inline-flex;
}

body .div-container .div-saytnomi2 img {
  width: 410px;
  height: 230px;
  float: right;
  margin-right: -155px;
  margin-top: -136px;
  /* border-radius: 50%; */
}





/* bosh meny qismi */
body .menu-container {
  overflow: hidden; /* Скрываем лишнее */
  background: #f0f0f0;
  cursor: grab; /* Курсор в виде руки */
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 2px;
  margin-bottom: 5px;
  border-radius: 2%;
}

.menu-container:active {
  cursor: grabbing; /* Рука сжимается при клике */
}

.menu-items {
  display: flex;
  gap: 15px;
  padding: 15px;
  overflow-x: auto; /* Включаем прокрутку */
  white-space: nowrap;
  user-select: none; /* Чтобы текст не выделялся при перетаскивании */
  scrollbar-width: none; /* Прячем скроллбар в Firefox */
}

.menu-container .menu-items .item:hover {
  cursor: auto;
}

.menu-items::-webkit-scrollbar {
  display: none; /* Прячем скроллбар в Chrome/Safari */
}

.item {
  flex: 0 0 auto; /* Не дает пунктам сжиматься */
  padding: 10px 20px;
  background: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

.item a {
  color: black;
  text-decoration: none;
}





/* sayt sahifasi */

body .div-container .sahifa {
  background-color: #f0f0f0;
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 2px;
  margin-bottom: 5px;
  /* padding: 8px; */
  /* height: 100px; */
}

body .div-container .sahifa h1 {
  margin: 25px;
}





/* bosh sahifa */

body .div-container .sahifa {
  flex-wrap: wrap;
  display: flex;
}

body .div-container .sahifa .div-malumot1 {
  float: left;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 15px;
  /* width: auto; */
  /* display: inline-block; */
}

body .div-container .sahifa .div-malumot1 img {
  float: left;
  margin-right: 10px;
  border-radius: 5px;
}

body .div-container .sahifa .div-malumot1 h3 {
  /* position: absolute; */
  /* float: right; */
  margin-left: 5px;
}

body .div-container .sahifa .div-malumot2 {
  float: left;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 15px;
  /* width: auto; */
}

body .div-container .sahifa .div-malumot2 img {
  float: left;
  margin-right: 10px;
 width: auto;
 border-radius: 5px;
}

body .div-container .sahifa .div-malumot2 h3 {
  /* position: absolute; */
  /* float: right; */
  margin-left: 5px;
}

body .div-container .sahifa .div-malumot3 {
  float: left;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 15px;
  /* width: auto; */
}

body .div-container .sahifa .div-malumot3 img {
  float: left;
  margin-right: 10px;
  width: auto;
  border-radius: 5px;
}

body .div-container .sahifa .div-malumot3 h3 {
  /* position: absolute; */
  /* float: right; */
  margin-left: 5px;
}

body .div-container .sahifa .slaydli-surat {
  float: left;
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 15px;
  /* width: auto; */
}

body .div-container .sahifa .slaydli-surat img {
  float: left;
  margin-right: 10px;
  min-width: 240px;
}

body .div-container .sahifa .slaydli-surat .mySlides{
  border-radius: 5px;
}

body .div-container .sahifa .slaydli-surat h3 {
  /* position: absolute; */
  /* float: right; */
  margin-left: 5px;
}

hr {
  width: 98%;
  margin-top: 20px;
}


@media screen and (min-width:140px) and (max-width:457px) {
  body .div-container .sahifa .div-malumot1, .div-malumot2, .div-malumot3, .slaydli-surat {
    float: none;
    width: auto;
    display: flex;
    flex-wrap: wrap;
  }
}

.div-container #tugash-qismi {
  width: 100%;
  height: 100px;
  margin-top: 20px;
  background-color: #fff;
  flex-wrap: wrap;
}


.div-container #tugash-qismi h3 {
  text-align: center;
}

.div-container #tugash-qismi i {
  text-align: center;
  margin: auto;
  display: grid;
}
